Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class VerticalAlignment

    java.lang.Object
      org.apache.poi.xslf.usermodel.VerticalAlignment

    public class VerticalAlignment

extends java.lang.Object

Specifies a list of available anchoring types for text

Author:
  Yegor Kozlov

Field Summary
`static VerticalAlignment` | `BOTTOM` Anchor the text at the bottom of the bounding rectangle.
`static VerticalAlignment` | `DISTRIBUTED` Anchor the text so that it is distributed vertically.
`static VerticalAlignment` | `JUSTIFIED` Anchor the text so that it is justified vertically.
`static VerticalAlignment` | `MIDDLE` Anchor the text at the middle of the bounding rectangle
`static VerticalAlignment` | `TOP` Anchor the text at the top of the bounding rectangle

Constructor Summary
`VerticalAlignment(int ordinal)`

Method Summary
`int` | `ordinal()`
`static VerticalAlignment[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP

    public static final VerticalAlignment TOP

  Anchor the text at the top of the bounding rectangle

### MIDDLE

    public static final VerticalAlignment MIDDLE

  Anchor the text at the middle of the bounding rectangle

### BOTTOM

    public static final VerticalAlignment BOTTOM

  Anchor the text at the bottom of the bounding rectangle.

### JUSTIFIED

    public static final VerticalAlignment JUSTIFIED

  Anchor the text so that it is justified vertically.

  When text is horizontal, this spaces out the actual lines of text and is almost always identical in behavior to `DISTRIBUTED` (special case: if only 1 line, then anchored at top).

  When text is vertical, then it justifies the letters vertically. This is different than `DISTRIBUTED` = new VerticalAlignment(); because in some cases such as very little text in a line = new VerticalAlignment(); it will not justify.

### DISTRIBUTED

    public static final VerticalAlignment DISTRIBUTED

  Anchor the text so that it is distributed vertically.

  When text is horizontal, this spaces out the actual lines of text and is almost always identical in behavior to `JUSTIFIED` (special case: if only 1 line, then anchored in middle).

  When text is vertical, then it distributes the letters vertically. This is different than `JUSTIFIED`, because it always forces distribution of the words, even if there are only one or two words in a line.

Constructor Detail

### VerticalAlignment

    public VerticalAlignment(int ordinal)

Method Detail

### ordinal

    public int ordinal()

### values

    public static VerticalAlignment[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD